%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Summary: Python FAM module
Name: python-fam
Version: 1.1.1
Release: %mkrel 2
Source0: http://prdownloads.sourceforge.net/python-fam/%{name}-%{version}.tar.bz2
Patch0: python-fam-1.0.2-gamin.patch
License: GPL
Group: Development/Python
URL: http://python-fam.sourceforge.net/
Requires: python
BuildRequires: python-devel, fam-devel

%description
Python FAM is a wrapper module around libfam from the FAM project. It
allows Python programs to monitor files and directories. An example
script is included.

%prep
%setup -q
%patch0 -p1 -b .gamin
chmod 755 test.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc test.py
%py_platsitedir/*




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-2mdv2008.1
+ Revision: 125926
- kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.1-2mdv2007.0
+ Revision: 96538
- Rebuild against new python
- Import python-fam

* Fri Dec 09 2005 Frederic Lepied <flepied@mandriva.com> 1.1.1-1mdk
- New release 1.1.1

* Sun Dec 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- Buildrequires fam-devel
- fix to compile with gamin

